Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1106415 (sayonara) - Review Request: sayonara - A lightweight Qt Audio player
Summary: Review Request: sayonara - A lightweight Qt Audio player
Keywords:
Status: CLOSED ERRATA
Alias: sayonara
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-06-09 09:47 UTC by MartinKG
Modified: 2015-02-22 06:03 UTC (History)
3 users (show)

Fixed In Version: sayonara-0.6.2-4.svn1021.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:37:26 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description MartinKG 2014-06-09 09:47:00 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/sayonara.spec
SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/sayonara-0.4.0-1.1.svn850.fc20.src.rpm

Description: sayonara is a small, clear, not yet platform-independent music player. Low CPU usage, low memory consumption and no long loading times are only three benefits of this player. Sayonara should be easy and intuitive to use and therefore it should be able to compete with the most popular music players.

Fedora Account System Username: martinkg

rpmlint sayonara-0.4.0-1.1.svn850.fc20.x86_64.rpm
sayonara.x86_64: W: no-manual-page-for-binary sayonara
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint sayonara-0.4.0-1.1.svn850.fc20.src.rpm
sayonara.src: W: invalid-url Source0: sayonara-player-r850.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 MartinKG 2014-06-10 15:50:09 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/sayonara.spec
SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/sayonara-0.4.0-1.2.svn851.fc20.src.rpm

%changelog
* Tue Jun 10 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.4.0-1.2.svn851
- rebuild for new svn release
- added svn Requirement
- corrected svn path

Comment 2 NIWA Hideyuki 2014-07-10 08:03:27 UTC
Hi
This is my informal review. I comment about the spec file etc.

1. Source0:        sayonara-player-%{svnrev}.tar.gz

URL is necessary for the Source0 tag.

2. # https://sayonara-player.googlecode.com/issues/attachment?aid=920000000&name=sayonara-desktop.patch&token=ABZ6GAezT8Y7uTPdlcAPejNluH3R5pcUiQ%3A1402298727539
Patch0:         sayonara-desktop.patch
# https://sayonara-player.googlecode.com/issues/attachment?aid=920000001&name=sayonara-libdir.patch&token=ABZ6GAftNAWKGIQtU8vT9AwhapN1BEXTdw%3A1402298727539
Patch1:         sayonara-libdir.patch

When the brief comment is put on the upper part of Patch0 and Patch1 
above upstream bug tracker link, it is helpful. 

3. BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  libnotify-devel
Buildrequires:  curl-devel
BuildRequires:  libxml2-devel
BuildRequires:  taglib-devel
BuildRequires:  glib2-devel
Requires:       svn  

Please add comments on explicit dependencies.


4. rm -rf %{buildroot}/%{_datadir}/menu

Is this processing necessary? Please delete it if it is unnecessary.

Comment 3 MartinKG 2014-08-29 14:41:15 UTC
(In reply to NIWA Hideyuki from comment #2)
> Hi
> This is my informal review. I comment about the spec file etc.
> 
> 1. Source0:        sayonara-player-%{svnrev}.tar.gz
> 
> URL is necessary for the Source0 tag.

There is no URL available for the recent snv tarball.
> 
> 2. #
> https://sayonara-player.googlecode.com/issues/
> attachment?aid=920000000&name=sayonara-desktop.
> patch&token=ABZ6GAezT8Y7uTPdlcAPejNluH3R5pcUiQ%3A1402298727539
> Patch0:         sayonara-desktop.patch
> #
> https://sayonara-player.googlecode.com/issues/
> attachment?aid=920000001&name=sayonara-libdir.
> patch&token=ABZ6GAftNAWKGIQtU8vT9AwhapN1BEXTdw%3A1402298727539
> Patch1:         sayonara-libdir.patch
> 
> When the brief comment is put on the upper part of Patch0 and Patch1 
> above upstream bug tracker link, it is helpful. 
> 
done

> 3. BuildRequires:  cmake
> BuildRequires:  desktop-file-utils
> BuildRequires:  qt-devel
> BuildRequires:  alsa-lib-devel
> BuildRequires:  gstreamer-devel
> BuildRequires:  gstreamer-plugins-base-devel
> BuildRequires:  libnotify-devel
> Buildrequires:  curl-devel
> BuildRequires:  libxml2-devel
> BuildRequires:  taglib-devel
> BuildRequires:  glib2-devel
> Requires:       svn  
> 
> Please add comments on explicit dependencies.
> 
remove unnecessary dependencies

> 4. rm -rf %{buildroot}/%{_datadir}/menu
> 
> Is this processing necessary? Please delete it if it is unnecessary.
its necessary


Spec URL: https://www.dropbox.com/s/2cnhsow8i72mput/sayonara.spec?dl=0
SRPM URL: https://www.dropbox.com/s/f8vgj2c7whhv4ze/sayonara-0.4.1-1.3.svn870.fc20.src.rpm?dl=0

%changelog
* Fri Aug 29 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.4.1-1.3.svn870
- rebuild for new svn release
- added more comments

rpmlint sayonara-debuginfo-0.4.1-1.3.svn870.fc20.x86_64.rpm
sayonara-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

Comment 4 MartinKG 2014-09-01 18:24:06 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/sayonara.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/sayonara-0.4.1-1.4.svn878.fc20.src.rpm

%changelog
* Mon Sep 01 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.4.1-1.4.svn878
- enabled debugging informations
- rebuild for new svn release
- set correct file permisson


rpmlint sayonara-0.4.1-1.4.svn878.fc20.x86_64.rpm
sayonara.x86_64: W: no-manual-page-for-binary sayonara
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint sayonara-debuginfo-0.4.1-1.4.svn878.fc20.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 5 MartinKG 2015-02-14 18:42:11 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/sayonara.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/sayonara-0.6.2-1.svn1016.fc21.src.rpm

%changelog
* Fri Feb 13 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.6.2-1.svn1016
- rebuild for new svn release

Comment 6 Mario Blättermann 2015-02-16 10:30:39 UTC
"BuildRequires:  gstreamer1-devel" is redundant, it is pulled in by gstreamer1-plugins-base-devel.

Is svn really a runtime requirement? If this points to the tarball creation, it is not needed.

According to the "licensecheck" output, the license is GPLv3+.

The package installs icons in /usr/share/icons/hicolor, that's why "Requires: hicolor-icon-theme" is needed.

The file license.txt needs to be added to %files under %license.

What about the Java stuff in sayonara_client?

Would be nice to have an *appdata.xml file to let the program also appear in future gnome-software versions. Maybe you could contact upstream to add one. 


From the *.desktop file:

Categories=Audio;Music;Player;AudioVideo;

The last category is not a secondary one, referring to the Freedesktop specification (see http://standards.freedesktop.org/menu-spec/latest/apas02.html), and actually Sayonara don't seem to be a video player. Better remove this category, or put it as a primary category and remove "Audio".

Comment 7 Mario Blättermann 2015-02-16 10:33:53 UTC
Taking this for a full review.

Comment 8 MartinKG 2015-02-16 14:52:30 UTC
(In reply to Mario Blättermann from comment #6)
> "BuildRequires:  gstreamer1-devel" is redundant, it is pulled in by
> gstreamer1-plugins-base-devel.
> 
> Is svn really a runtime requirement? If this points to the tarball creation,
> it is not needed.
> 
deleted

> According to the "licensecheck" output, the license is GPLv3+.
> 
corrected

> The package installs icons in /usr/share/icons/hicolor, that's why
> "Requires: hicolor-icon-theme" is needed.
> 
added

> The file license.txt needs to be added to %files under %license.
>
added

> What about the Java stuff in sayonara_client?
> 
deleted

> Would be nice to have an *appdata.xml file to let the program also appear in
> future gnome-software versions. Maybe you could contact upstream to add one. 
> 
added, reported upstream
> 
> From the *.desktop file:
> 
> Categories=Audio;Music;Player;AudioVideo;
> 
> The last category is not a secondary one, referring to the Freedesktop
> specification (see
> http://standards.freedesktop.org/menu-spec/latest/apas02.html), and actually
> Sayonara don't seem to be a video player. Better remove this category, or
> put it as a primary category and remove "Audio".
corrected

new rpm files upload

Spec URL: https://www.dropbox.com/s/2cnhsow8i72mput/sayonara.spec?dl=0
SRPM URL: https://www.dropbox.com/s/g5j7pwwk5omq55c/sayonara-0.6.2-2.svn1016.fc21.src.rpm?dl=0

%changelog
* Mon Feb 16 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.6.2-2.svn1016
- deleted BR  gstreamer1-devel because its redundant
- deleted RR svn isn't needed
- corrected license tag to GPLv3+
- added RR hicolor-icon-theme
- mark license files as %%license where available
- added appdata.xml file
- modified desktop file Categories
- removed java stuff

Comment 9 Mario Blättermann 2015-02-16 21:08:42 UTC
(In reply to MartinKG from comment #8)
> Spec URL: https://www.dropbox.com/s/2cnhsow8i72mput/sayonara.spec?dl=0
> SRPM URL:
> https://www.dropbox.com/s/g5j7pwwk5omq55c/sayonara-0.6.2-2.svn1016.fc21.src.
> rpm?dl=0

Please don't use Dropbox for the file links. It is impossible to use fedora-review because the links point to the website, not the file itself. It is no problem for me, I don't use fedora-review at all, but it could be annoying for other reviewers of your packages. Upload the files to your Fedora webspace instead.

However, here's the scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8954463

$ rpmlint -i -v *
sayonara.i686: I: checking
sayonara.i686: I: checking-url http://code.google.com/p/sayonara-player/ (timeout 10 seconds)
sayonara.i686: W: no-manual-page-for-binary sayonara
Each executable in standard binary directories should have a man page.

sayonara.i686: E: invalid-appdata-file /usr/share/appdata/sayonara.appdata.xml
appdata file is not valid, check with appdata-validate

sayonara.src: I: checking
sayonara.src: I: checking-url http://code.google.com/p/sayonara-player/ (timeout 10 seconds)
sayonara.src: W: invalid-url Source0: sayonara-player-r1016.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

sayonara.x86_64: I: checking
sayonara.x86_64: I: checking-url http://code.google.com/p/sayonara-player/ (timeout 10 seconds)
sayonara.x86_64: W: no-manual-page-for-binary sayonara
Each executable in standard binary directories should have a man page.

sayonara.x86_64: E: invalid-appdata-file /usr/share/appdata/sayonara.appdata.xml
appdata file is not valid, check with appdata-validate

sayonara-debuginfo.i686: I: checking
sayonara-debuginfo.i686: I: checking-url http://code.google.com/p/sayonara-player/ (timeout 10 seconds)
sayonara-debuginfo.x86_64: I: checking
sayonara-debuginfo.x86_64: I: checking-url http://code.google.com/p/sayonara-player/ (timeout 10 seconds)
sayonara.spec: I: checking
sayonara.spec: W: invalid-url Source0: sayonara-player-r1016.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 2 errors, 4 warnings.

Nothing worth to discuss. Missing man page is not up to you to add, the tarball is created from SVN, and the appdata file *is* valid, albeit not fully canonical. OK, here we go:

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[X] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    Checksums differ, but this happens often in case of a tarball created from a VCS. I trust you :)

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[X] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

    Well, your package owns the directory /usr/share/sayonara/, but /usr/share/sayonara/translations and /usr/share/sayonara/translations/icons stay unowned. Please add both to %files (with %dir).

[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
    Works as expected.

[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

Package not yet approved. Change the directory ownerships, and all is fine.

Comment 10 Mario Blättermann 2015-02-16 21:11:38 UTC
One more issue, rather cosmetic:

Buildrequires:  curl-devel

has to be

BuildRequires:  curl-devel

Comment 11 MartinKG 2015-02-16 21:32:20 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/sayonara.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/sayonara-0.6.2-3.svn1018.fc21.src.rpm

Mon Feb 16 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.6.2-3.svn1018
- rebuild for new svn release
- cosmetic changes
- take ownership of unowned directory %%{_datadir}/%%{name}/translations
- take ownership of unowned directory %%{_datadir}/%%{name}/translations/icons

Comment 12 Mario Blättermann 2015-02-16 21:45:17 UTC
OK, looks fine now.

PACKAGE APPROVED!

Comment 13 MartinKG 2015-02-16 21:58:57 UTC
@Mario Thanks for the review.

New Package SCM Request
=======================
Package Name: sayonara
Short Description: A lightweight Qt Audio player
Owners: martinkg
Branches: f21 f22
InitialCC:

Comment 14 Gwyn Ciesla 2015-02-17 13:51:14 UTC
Git done (by process-git-requests).

Comment 15 MartinKG 2015-02-17 15:37:26 UTC
package has been built successfully on f21, fc22 and rawhide.

Comment 16 Fedora Update System 2015-02-17 15:39:12 UTC
sayonara-0.6.2-4.svn1021.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sayonara-0.6.2-4.svn1021.fc21

Comment 17 Fedora Update System 2015-02-22 06:03:46 UTC
sayonara-0.6.2-4.svn1021.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.